<template>
  <div id="list" v-if="list">
    <div v-for="(item, index) in list" :key="index" @click="onclick(item)">{{ item.name }}</div>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  props: ['item', 'onclick'],
  data () {
    return {
      list: null
    }
  },
  mounted () {
    this.getInfo()
  },
  methods: {
    getInfo () {
      axios
        .get('/api/list/' + this.item)
        .then((res) => {
          this.list = res.data
        })
    }
  }
}
</script>

<style>
#list {
  display: flex;
  flex-direction: column;
}
#list > * {
  padding: 1em;
  border-bottom: 1px solid;
}
</style>
